<!DOCTYPE HTML>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
        <link rel="stylesheet" href="./../build/bootstrap-datetimepicker.min.css">

        <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
        <script defer src="https://use.fontawesome.com/releases/v5.8.1/js/all.js" integrity="sha384-g5uSoOSBd7KkhAMlnQILrecXvzst9TdC09/VM+pjDTCM+1il8RHz5fKANTFFb+gQ" crossorigin="anonymous"></script>
        <script src="./../build/bootstrap-datetimepicker.min.js"></script>
    </head>
    <body>
    <div class="container">
        <div class="row">
            <div class="col">
                <h1 class="display-4 text-center">Bootstrap-DateTimePicker - Demo</h1>
            </div>
        </div>

        <hr class="my-4">

        <div class="row">
            <div class="col">
                <div class="form-group row">
                    <label for="datepicker1" class="col-2 col-form-label">Date+Time</label>
                    <div class="input-group col-10">
                        <input type="text"
                               class="form-control datetimepickerValidatePattern"
                               id="datepicker1"
                               maxlength="19"
                               pattern="[0-9]{4}-(0[1-9]|1[012])-(0[1-9]|1[0-9]|2[0-9]|3[01]) (0[0-9]|1[0-9]|2[0-3])(:[0-5][0-9]){2}"
                        >
                    </div>
                </div>

                <div class="form-group row">
                    <label for="datepicker2" class="col-2 col-form-label">Date+Time+Preselected</label>
                    <div class="input-group col-10">
                        <input type="text"
                               class="form-control datetimepickerValidatePattern"
                               id="datepicker2"
                               maxlength="19"
                               pattern="[0-9]{4}-(0[1-9]|1[012])-(0[1-9]|1[0-9]|2[0-9]|3[01]) (0[0-9]|1[0-9]|2[0-3])(:[0-5][0-9]){2}"
                               value="2019-01-02 11:12:13"
                        >
                    </div>
                </div>

                <hr class="my-4">

                <div class="form-group row">
                    <label for="datepicker3" class="col-2 col-form-label">Date</label>
                    <div class="input-group col-10">
                        <input type="text"
                               class="form-control datetimepickerValidatePattern"
                               id="datepicker3"
                               maxlength="10"
                               pattern="[0-9]{4}-(0[1-9]|1[012])-(0[1-9]|1[0-9]|2[0-9]|3[01])"
                        >
                    </div>
                </div>

                <div class="form-group row">
                    <label for="datepicker4" class="col-2 col-form-label">Date+Preselected</label>
                    <div class="input-group col-10">
                        <input type="text"
                               class="form-control datetimepickerValidatePattern"
                               id="datepicker4"
                               maxlength="10"
                               pattern="[0-9]{4}-(0[1-9]|1[012])-(0[1-9]|1[0-9]|2[0-9]|3[01])"
                               value="2019-02-28"
                        >
                    </div>
                </div>

                <hr class="my-4">

                <div class="form-group row">
                    <label for="datepicker5" class="col-2 col-form-label">Time</label>
                    <div class="input-group col-10">
                        <input type="text"
                               class="form-control datetimepickerValidatePattern"
                               id="datepicker5"
                               maxlength="8"
                               pattern="(0[0-9]|1[0-9]|2[0-3])(:[0-5][0-9]){2}"
                        >
                    </div>
                </div>

                <div class="form-group row">
                    <label for="datepicker6" class="col-2 col-form-label">Time+Preselected</label>
                    <div class="input-group col-10">
                        <input type="text"
                               class="form-control datetimepickerValidatePattern"
                               id="datepicker6"
                               maxlength="8"
                               pattern="(0[0-9]|1[0-9]|2[0-3])(:[0-5][0-9]){2}"
                               value="11:12:13"
                        >
                    </div>
                </div>

            </div>
        </div>
    </div>
    <script type="text/javascript">
        $('#datepicker1').DateTimePicker( { showTime: true, showDate: true } );
        $('#datepicker2').DateTimePicker( { showTime: true, showDate: true } );
        $('#datepicker3').DateTimePicker( { showTime: false, showDate: true } );
        $('#datepicker4').DateTimePicker( { showTime: false, showDate: true } );
        $('#datepicker5').DateTimePicker( { showTime: true, showDate: false } );
        $('#datepicker6').DateTimePicker( { showTime: true, showDate: false } );
    </script>
    </body>
</html>